<div class="minds-list">
  <minds-activity
    *ngFor="let activity of newsfeed; let i = index"
    [object]="activity"
    [boostToggle]="activity.boostToggle"
    (delete)="delete(activity)"
    [showRatingToggle]="true"
    class="mdl-card m-border item"
    [slot]="i + 1"
  ></minds-activity>
  <infinite-scroll
    distance="25%"
    (load)="load()"
    [moreData]="moreData"
    [inProgress]="inProgress"
  >
  </infinite-scroll>
</div>
